Page MenuHomePhabricator

[mips][microMIPS] Implement JALX instruction
ClosedPublic

Authored by jkolek on Aug 25 2014, 4:14 AM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

jkolek updated this revision to Diff 12897.Aug 25 2014, 4:14 AM
jkolek retitled this revision from to [mips][microMIPS] Implement JALX instruction.
jkolek updated this object.
jkolek edited the test plan for this revision. (Show Details)
jkolek added reviewers: dsanders, vmedic.
jkolek added a subscriber: zoran.jovanovic.
dsanders added inline comments.Sep 2 2014, 6:33 AM
lib/Target/Mips/MipsInstrInfo.td
1213–1215 ↗(On Diff #12897)

Could we fix this fixme comment? An either/or feature bit (e.g. FeatureMips3_32) would do the trick.

jkolek added a subscriber: Unknown Object (MLST).Nov 18 2014, 5:43 AM
jkolek updated this revision to Diff 18512.Jan 21 2015, 6:41 AM
jkolek added subscribers: sstankovic, petarj.
jkolek removed a subscriber: sstankovic.
jkolek updated this revision to Diff 18518.Jan 21 2015, 8:13 AM
jkolek added inline comments.Feb 9 2015, 6:52 AM
lib/Target/Mips/MipsInstrInfo.td
1213–1215 ↗(On Diff #12897)

We have tried to assemble JALX with GAS and it does generate valid mips32 JALX opcode without -mmicromips or -mips16 command line options. To have same behaviour as GCC current implementation is sufficient, and comment can be removed.

jkolek updated this revision to Diff 19580.Feb 9 2015, 6:55 AM
jkolek added a reviewer: zoran.jovanovic.
jkolek removed a subscriber: zoran.jovanovic.

This is first version of the patch with removed FIXME comment which says that JALX requires either MIPS16 or microMIPS in addition to MIPS32.
We have tried to assemble JALX with GAS and it does generate JALX opcode without -mmicromips or -mips16 command line options. To have same behaviour as GCC current implementation is sufficient, and comment can be removed.

dsanders added inline comments.Feb 18 2015, 6:21 AM
lib/Target/Mips/MipsInstrInfo.td
1213–1215 ↗(On Diff #12897)

That makes sense to me. Thanks

sstankovic accepted this revision.Feb 18 2015, 8:47 AM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Feb 18 2015, 8:47 AM
This revision was automatically updated to reflect the committed changes.